sysutils/ansible-base - The NetBSD Packages Collection

SSH-based configuration management, deployment, and task execution

Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

security/py-cryptography textproc/py-jinja2 security/py-paramiko textproc/py-yaml devel/py-packaging devel/py-setuptools lang/python39 lang/python39

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfansible-base-2.10.14.tgz
NetBSD 8.0earmv7hfansible-base-2.10.7.tgz
NetBSD 8.0earmv7hfansible-base-2.10.10.tgz
NetBSD 8.0i386ansible-base-2.10.7.tgz
NetBSD 8.0i386ansible-base-2.10.10.tgz
NetBSD 8.0powerpcansible-base-2.10.7.tgz
NetBSD 8.0powerpcansible-base-2.10.10.tgz
NetBSD 8.0powerpcansible-base-2.10.10.tgz
NetBSD 8.0powerpcansible-base-2.10.14.tgz
NetBSD 8.0x86_64ansible-base-2.10.7.tgz
NetBSD 8.0x86_64ansible-base-2.10.10.tgz
NetBSD 9.0aarch64ansible-base-2.10.14.tgz
NetBSD 9.0aarch64ansible-base-2.10.7.tgz
NetBSD 9.0aarch64ansible-base-2.10.10.tgz
NetBSD 9.0alphaansible-base-2.10.14.tgz
NetBSD 9.0alphaansible-base-2.10.7.tgz
NetBSD 9.0alphaansible-base-2.10.10.tgz
NetBSD 9.0earmansible-base-2.10.7.tgz
NetBSD 9.0earmansible-base-2.10.10.tgz
NetBSD 9.0earmv6hfansible-base-2.10.14.tgz
NetBSD 9.0earmv6hfansible-base-2.10.7.tgz
NetBSD 9.0earmv6hfansible-base-2.10.10.tgz
NetBSD 9.0earmv7hfansible-base-2.10.14.tgz
NetBSD 9.0earmv7hfansible-base-2.10.7.tgz
NetBSD 9.0earmv7hfansible-base-2.10.10.tgz
NetBSD 9.0earmv7hfansible-base-2.10.14.tgz
NetBSD 9.0i386ansible-base-2.10.7.tgz
NetBSD 9.0i386ansible-base-2.10.10.tgz
NetBSD 9.0i386ansible-base-2.10.14.tgz
NetBSD 9.0mips64ebansible-base-2.10.10.tgz
NetBSD 9.0mips64ebansible-base-2.10.7.tgz
NetBSD 9.0mips64ebansible-base-2.10.14.tgz
NetBSD 9.0powerpcansible-base-2.10.10.tgz
NetBSD 9.0powerpcansible-base-2.10.7.tgz
NetBSD 9.0powerpcansible-base-2.10.10.tgz
NetBSD 9.0powerpcansible-base-2.10.10.tgz
NetBSD 9.0powerpcansible-base-2.10.14.tgz
NetBSD 9.0sh3elansible-base-2.10.7.tgz
NetBSD 9.0sparc64ansible-base-2.10.10.tgz
NetBSD 9.0sparc64ansible-base-2.10.7.tgz
NetBSD 9.0sparc64ansible-base-2.10.14.tgz
NetBSD 9.0sparcansible-base-2.10.10.tgz
NetBSD 9.0sparcansible-base-2.10.7.tgz
NetBSD 9.0sparcansible-base-2.10.14.tgz
NetBSD 9.0x86_64ansible-base-2.10.11.tgz
NetBSD 9.0x86_64ansible-base-2.10.14.tgz
NetBSD 9.0x86_64ansible-base-2.10.7.tgz
NetBSD 9.0x86_64ansible-base-2.10.10.tgz
NetBSD 9.0x86_64ansible-base-2.10.14.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.